Scilab Function
Last update : 16/06/2004

frexp - calcule la représentation en base 2 (mantisse et exposant) d'un nombre flottant.

### Calling Sequence

  `[f,e]=frexp(x)`

### Parameters

- `x` : matrice ou vecteur réel
- `f` : matrice ou vecteur réel, habituellement dans l'intervalle 0.5 <= abs(f) < 1.
- `e` : matrice ou vecteur d'entiers satisfaisant l'équation: x = f.*2.^e

### Description

Cette fonction correspond à la fonction ANSI C frexp(). Chaque 0 dans `x` produit `f=0` et `e=0`.

### Examples

    [f,e]=frexp([1,%pi,-3,%eps])

### See Also

`log`, `hat`, `ieee`, `log2`,